/*
	Hyrule Warriors v20161101
	by Marc Robledo 2016
	Edited by Dr.Aardvark 
*/
/* reference: http://gbatemp.net/threads/hyrule-warriors-save-editing.425943/ */

var currentWeapon=0;
var weaponFilters=[
	null
];
SavegameEditor={
	Name:'Hyrule Warriors',
	Filename:'initdata.bin',

	/* Constants */
	Constants:{
		MAX_WEAPONS:400,
		WEAPONS_OFFSET:0x4df8,
		WEAPON_SIZE:0x59,
		WEAPON_TYPES:[
		{value:0, name:'Hylian Sword (Link)'},
		{value:1, name:'Magic Rod (Link)'},
		{value:2, name:'Great Fairy (Link)'},
		{value:3, name:'Gauntlets (Link)'},
		{value:4, name:'Book of Sorcery (Lana)'},
		{value:5, name:'Spear (Lana)'},
		{value:6, name:'Summoning Gate (Lana)'},
		{value:7, name:'Rapier (Zelda)'},
		{value:8, name:'Baton (Zelda)'},
		{value:9, name:'Giant Blade (Impa)'},
		{value:10, name:'Naginata (Impa)'},
		{value:11, name:'Great Swords (Ganondorf)'},
		{value:12, name:'Harp (Sheik)'},
		{value:13, name:'Hammer (Darunia)'},
		{value:14, name:'Zora Scale (Ruto)'},
		{value:15, name:'Parasol (Agitha)'},
		{value:16, name:'Shackle (Midna)'},
		{value:17, name:'Goddess Blade (Fi)'},
		{value:18, name:'Demon Blade (Ghirahim)'},
		{value:19, name:'Scimitar (Zant)'},
		{value:20, name:'[Unknown/Unused]'},
		{value:21, name:'Master Sword (Link)'},
		{value:22, name:'Scepter (Cia)'},
		{value:23, name:'Dragon Spear (Volga)'},
		{value:24, name:'Ring (Wizzro)'},
		{value:25, name:'Horse (Link)'},
		{value:26, name:'Mirror (Twili Midna)'},
		{value:27, name:'Spinner (Link)'},
		{value:28, name:'Dominion Rod (Zelda)'},
		{value:29, name:'Mask (Young Link)'},
		{value:30, name:'Balloon (Tingle)'},
		{value:31, name:'Ganon\'s Rage (Ganon)'},
		{value:32, name:'Cucco\'s Spirit (Cucco)'},
		{value:33, name:'Trident (Ganondorf)'},
		{value:34, name:'Crossbows (Linkle)'},
		{value:35, name:'Ocarina (Skull Kid)'},
		{value:36, name:'Light Sword (Toon Link)'},
		{value:37, name:'Cutlass (Tetra)'},
		{value:38, name:'Sail (King Daphnes)'},
		{value:39, name:'Rito Harp (Medli)'},
		{value:40, name:'Bell (Marin)'},
		{value:41, name:'Boots (Linkle)'},
		{value:42, name:'Phantom Arms (Toon Zelda)'},
		{value:43, name:'Sand Wand (Toon Link)'},
		{value:44, name:'Rental Hammer (Ravio)'},
		{value:45, name:'Picture Frame (Yuga)'},
		{value:65535,name:'-'}
		],
		WEAPON_IDS:[
			'Knight\'s Sword (Link - Hylian Sword Level 1)',
			'White Sword (Link - Hylian Sword Level 2)',
			'Magical Sword (Link - Hylian Sword Level 3)',
			'Fire Rod (Link - Magic Rod Level 1)',
			'Prism Rod (Link - Magic Rod Level 2)',
			'Magical Rod (Link - Magic Rod Level 3)',
			'Great Fountain Fairy (Link - Great Fairy Level 1)',
			'Great Forest Fairy (Link - Great Fairy Level 2)',
			'Great Sky Fairy (Link - Great Fairy Level 3)',
			'Silver Gauntlets (Link - Gauntlets Level 1)',
			'Golden Gauntlets (Link - Gauntlets Level 2)',
			'Power Gloves (Link - Gauntlets Level 3)',
			'Spirit\'s Tome (Lana - Book of Sorcery Level 1)',
			'Sealing Tome (Lana - Book of Sorcery Level 2)',
			'Sorceress Tome (Lana - Book of Sorcery Level 3)',
			'Deku Spear (Lana - Spear Level 1)',
			'Kokiri Spear (Lana - Spear Level 2)',
			'Faron Spear (Lana - Spear Level 3)',
			'Gate of Time (Lana - Summoning Gate Level 1)',
			'Guardian\'s Gate (Lana - Summoning Gate Level 2)',
			'Gate of Souls (Lana  - Summoning Gate Level 2)',
			'Polished Rapier (Zelda - Rapier Level 1)',
			'Glittering Rapier (Zelda - Rapier Level 2)',
			'Gleaming Rapier (Zelda - Rapier Level 3)',
			'Wind Waker (Zelda - Baton Level 1)',
			'Sacred Baton (Zelda - Baton Level 2)',
			'Glorious Baton (Zelda - Baton Level 3)',
			'Giant\'s Knife (Impa - Giant Blade Level 1)',
			'Biggoron\'s Knife (Impa - Giant Blade Level 2)',
			'Biggoron\'s Sword (Impa - Giant Blade Level 3)',
			'Guardian Naginata (Impa - Naginata Level 1)',
			'Scorching Naginata (Impa - Naginata Level 2)',
			'Sheikah Naginata (Impa - Naginata Level 3)',
			'Swords of Despair (Ganondorf - Great Swords Level 1)',
			'Swords of Darkness (Ganondorf - Great Swords Level 2)',
			'Swords of Demise (Ganondorf - Great Swords Level 3)',
			'Goddess\'s Harp (Shiek - Harp Level 1)',
			'Typhoon Harp (Shiek - Harp Level 2)',
			'Triforce Harp (Shiek - Harp Level 3)',
			'Magic Hammer (Darunia - Hammer Level 1)',
			'Igneous Hammer (Darunia - Hammer Level 2)',
			'Megaton Hammer (Darunia - Hammer Level 3)',
			'Silver Scale (Ruto - Zora Scale Level 1)',
			'Golden Scale (Ruto - Zora Scale Level 2)',
			'Water Dragon Scale (Ruto - Zora Scale Level 3)',
			'Butterfly Parasol (Agitha - Parasol Level 1)',
			'Luna Parasol (Agitha - Parasol Level 2)',
			'Princess Parasol (Agitha - Parasol Level 3)',
			'Cursed Shackle (Midna - Shackle Level 1)',
			'Twilight Shackle (Midna - Shackle Level 2)',
			'Sol Shackle (Midna - Shackle Level 3)',
			'Goddess Sword (Fi - Goddess Blade Level 1)',
			'Goddess Longsword (Fi - Goddess Blade Level 2)',
			'True Goddess Blade (Fi - Goddess Blade Level 3)',
			'Demon Tribe Sword (Ghirahim - Demon Blade Level 1)',
			'Demon Longsword (Ghirahim - Demon Blade Level 2)',
			'True Demon Blade (Ghirahim - Demon Blade Level 3)',
			'Usurper\'s Scimitars (Zant - Scimitars Level 1)',
			'Shadow Scimitars (Zant - Scimitars Level 2)',
			'Scimitars of Twilight (Zant - Scimitars Level 2)',
			'[Unknown/Unused]',
			'Master Sword (Link - Master Sword)',
			'[Unknown/Unused]',
			'[Unknown/Unused]',
			'8-Bit Wooden Sword (Link - Hylian Sword Level 3)',
			'8-Bit Candle (Link - Magic Rod Level 3)',
			'8-Bit Book of Magic (Lana - Book of Sorcery Level 3)',
			'8-Bit White Sword? (Zelda - Rapier Level 3)',
			'8-Bit Boomerang? (Impa - Giant Blade Level 3)',
			'8-Bit Stepladder (Shiek - Harp Level 3)',
			'8-Bit Silver Arrow (Fi - Goddess Blade Level 3)',
			'8-Bit Arrow (Ghirahim - Demon Blade Level 3)',
			'Scepter of Time (Cia - Scepter Level 1)',
			'Guardian\'s Scepter (Cia - Scepter Level 2)',
			'Scepter of Souls (Cia - Scepter Level 3)',
			'Dragonbone Pike (Volga - Dragon Spear Level 1)',
			'Stonecleaver Claw (Volga - Dragon Spear Level 2)',
			'Flesh-Render Fang (Volga - Dragon Spear Level 3)',
			'Blue Ring (Wizzro - Ring Level 1)',
			'Red Ring (Wizzro - Ring Level 2)',
			'Magical Ring (Wizzro - Ring Level 3)',
			'Epona (Link - Horse Level 1)',
			'Twilight Epona (Link - Horse Level 2)',
			'Epona of Time (Link - Horse Level 3)',
			'8-Bit Power Bracelets (Link - Gauntlets Level 3)',
			'8-Bit Magical Rod? (Lana - Spear Level 3)',
			'8-Bit Magical Keys (Ganondorf - Great Swords Level 3)',
			'8-Bit Rupee (Agitha - Parasol Level 3)',
			'8-Bit Red Ring (Midna - Shackle Level 3)',
			'8-Bit Magic Boomerangs (Zant - Scimitars Level 3)',
			'Mirror of Shadows (Twili Midna - Mirror Level 1)',
			'Mirror of Silence (Twili Midna - Mirror Level 2)',
			'Mirror of Twilight (Twili Midna - Mirror Level 3)',
			'Ancient Spinner (Link - Spinner Level 1)',
			'Enhanced Spinner (Link - Spinner Level 2)',
			'Triforce Spinner (Link - Spinner Level 3)',
			'Old Dominion Rod (Zelda - Dominion Rod Level 1)',
			'High Dominion Rod (Zelda - Dominion Rod Level 2)',
			'Royal Dominion Rod (Zelda - Dominion Rod Level 3)',
			'8-Bit Fairy (Link - Great Fairy Level 3)',
			'8-Bit Compass (Lana - Summoning Gate Level 3)',
			'8-Bit Recorder (Zelda - Baton Level 3)',
			'8-Bit Magical Sword? (Impa - Naginata Level 3)',
			'8-Bit Food (Darunia - Hammer Level 3)',
			'8-Bit Clock (Ruto - Zora Scale Level 3)',
			'Fierce Deity Mask (Young Link - Mask Level 1)',
			'Furious Deity Mask (Young Link - Mask Level 2)',
			'Vengeful Deity Mask (Young Link - Mask Level 3)',
			'Rosy Balloon (Tingle - Balloon Level 1)',
			'Love-Filled Balloon (Tingle - Balloon Level 2)',
			'Mr. Fairy Balloon (Tingle - Balloon Level 3)',
			'Thief\'s Trident (Ganondorf - Trident Level 1)',
			'King of Evil Trident (Ganondorf - Trident Level 2)',
			'Trident of Demise (Ganondorf - Trident Level 3)',
			'Simple Crossbows (Linkle - Crossbows Level 1)',
			'Hylian Crossbows (Linkle - Crossbows Level 2)',
			'Legend\'s Crossbows (Linkle - Crossbows Level 3)',
			'Fairy Ocarina (Skull Kid - Ocarina Level 1)',
			'Lunar Ocarina (Skull Kid - Ocarina Level 2)',
			'Majora\'s Ocarina (Skull Kid - Ocarina Level 3)',
			'Hero\'s Sword (Toon Link - Light Sword Level 1)',
			'Phantom Sword (Toon Link - Light Sword Level 2)',
			'Lokomo Sword (Toon Link - Light Sword Level 3)',
			'Pirate Cutlass (Tetra - Cutlass Level 1)',
			'Jeweled Cutlass (Tetra - Cutlass Level 2)',
			'Regal Cutlass (Tetra - Cutlass Level 3)',
			'Windfall Sail (King Daphnes - Sail Level 1)',
			'Swift Sail (King Daphnes - Sail Level 2)',
			'Sail of Red Lions (King Daphnes - Sail Level 3)',
			'Sacred Harp (Medli - Rito Harp Level 1)',
			'Earth God\'s Harp (Medli - Rito Harp Level 2)',
			'Din\'s Harp (Medli - Rito Harp Level 3)',
			'Sea Lily\'s Bell (Marin - Bell Level 1)',
			'Wavelet Bell (Marin - Bell Level 2)',
			'Awakening Bell (Marin - Bell Level 3)',
			'Winged Boots (Linkle - Boots Level 1)',
			'Roc Boots (Linkle - Boots Level 2)',
			'Pegasus Boots (Linkle - Boots Level 3)',
			'Protector Sword (Toon Zelda - Phantom Arms Level 1)',
			'Warp Sword (Toon Zelda - Phantom Arms Level 2)',
			'Wrecker Sword (Toon Zelda - Phantom Arms Level 3)',
			'Sand Wand (Toon Link - Sand Wand Level 1)',
			'Jeweled Sand Wand (Toon Link - Sand Wand Level 2)',
			'Nice Sand Wand (Toon Link - Sand Wand Level 3)',
			'Wooden Hammer (Ravio - Rental Hammer Level 1)',
			'White Bunny Hammer (Ravio - Rental Hammer Level 2)',
			'Nice Hammer (Ravio - Rental Hammer Level 3)',
			'Wooden Frame (Yuga - Picture Frame Level 1)',
			'Frame of Sealing (Yuga - Picture Frame Level 2)',
			'Demon King\'s Frame (Yuga - Picture Frame Level 3)',
			{value:65535,name:'-'}
		],
		WEAPON_COMBOS:[
			'Set 1',
			'Set 2',
			'Set 3',
			'Set 4',
			'Set 5',
			'Set 6',
			{value:255,name:'-'}
		],
		WEAPON_CIDS:[
			{value:0, name:'Link'},
			{value:1, name:'Zelda'},
			{value:2, name:'Sheik'},
			{value:3, name:'Impa'},
			{value:4, name:'Ganondorf'},
			{value:5, name:'Darunia'},
			{value:6, name:'Ruto'},
			{value:7, name:'Agitha'},
			{value:8, name:'Midna'},
			{value:9, name:'Fi'},
			{value:10, name:'Ghirahim'},
			{value:11, name:'Zant'},
			{value:13, name:'Lana'},
			{value:44, name:'Cia'},
			{value:45, name:'Volga'},
			{value:46, name:'Wizzro'},
			{value:47, name:'Twili Midna'},
			{value:48, name:'Young Link'},
			{value:49, name:'Tingle'},
			{value:50, name:'Ganon'},
			{value:51, name:'Cucco'},
			{value:52, name:'Linkle'},
			{value:53, name:'Skull Kid'},
			{value:54, name:'Toon Link'},
			{value:55, name:'Tetra'},
			{value:56, name:'King Daphnes'},
			{value:57, name:'Medli'},
			{value:58, name:'Marin'},
			{value:59, name:'Toon Zelda'},
			{value:60, name:'Ravio'},
			{value:61, name:'Yuga'},
			{value:65535,name:'-'}
		],
		/* Removed because this doesn't actually affect anything */
		/* WEAPON_ELEMENTS:[
			'Fire',
			'Water',
			'Lightning',
			'Light',
			'Dark'
		], */
		WEAPON_LEVELS:[
			'Level 1',
			'Level 2',
			'Level 3',
			'8-bit',
			'Extra Slot',
			{value:255,name:'-'}
		],
		SKILL_TYPES:[
			{value:0, name:'No'},
			{value:1, name:'Yes'}
		],
		WEAPON_POWER:[
			{value:10, name:'10'},
			{value:20, name:'20'},
			{value:30, name:'30'},
			{value:40, name:'40'},
			{value:50, name:'50'},
			{value:60, name:'60'},
			{value:70, name:'70'},
			{value:80, name:'80 (Default lv.1)'},
			{value:90, name:'90'},
			{value:100, name:'100'},
			{value:110, name:'110'},
			{value:120, name:'120'},
			{value:130, name:'130'},
			{value:140, name:'140'},
			{value:150, name:'150 (Default lv.2)'},
			{value:160, name:'160'},
			{value:170, name:'170'},
			{value:180, name:'180'},
			{value:190, name:'190'},
			{value:200, name:'200'},
			{value:210, name:'210'},
			{value:220, name:'220'},
			{value:230, name:'230'},
			{value:240, name:'240'},
			{value:250, name:'250'},
			{value:260, name:'260'},
			{value:270, name:'270'},
			{value:280, name:'280 (Default lv.3/8-bit)'},
			{value:290, name:'290'},
			{value:300, name:'300 (Default MS)'},
			{value:310, name:'310'},
			{value:320, name:'320'},
			{value:330, name:'330'},
			{value:340, name:'340'},
			{value:350, name:'350'},
			{value:360, name:'360'},
			{value:370, name:'370'},
			{value:380, name:'380'},
			{value:390, name:'390'},
			{value:400, name:'400'},
			{value:410, name:'410'},
			{value:420, name:'420'},
			{value:430, name:'430'},
			{value:440, name:'440'},
			{value:450, name:'450'},
			{value:460, name:'460'},
			{value:470, name:'470'},
			{value:480, name:'480'},
			{value:490, name:'490'},
			{value:500, name:'500'},
			{value:999, name:'999'}
		]
	},

	/* private functions */
	_getWeaponOffset:function(){
		return this.Constants.WEAPONS_OFFSET+this.Constants.WEAPON_SIZE*currentWeapon
	},
	_selectWeapon:function(i){
		currentWeapon=i;

		var offset=this._getWeaponOffset();
		setValue('weapon-type', tempFile.readShort(offset+0x00));
		setValue('weapon-combo', tempFile.readByte(offset+0x02));
		setValue('weapon-level', tempFile.readByte(offset+0x03));
		setValue('weapon-base-power', tempFile.readShort(offset+0x04));
		setValue('weapon-id', tempFile.readShort(offset+0x06));
		setValue('weapon-cid', tempFile.readShort(offset+0x08));
		/*setValue('weapon-element', tempFile.readShort(offset+0x0a));*/
		setValue('skill-1', tempFile.readByte(offset+0x1a));
		setValue('skill-2', tempFile.readByte(offset+0x1b));
		setValue('skill-3', tempFile.readByte(offset+0x1c));
		setValue('skill-4', tempFile.readByte(offset+0x1d));
		setValue('skill-5', tempFile.readByte(offset+0x1e));
		setValue('skill-6', tempFile.readByte(offset+0x1f));
		setValue('skill-7', tempFile.readByte(offset+0x20));
		setValue('skill-8', tempFile.readByte(offset+0x21));
		setValue('skill-9', tempFile.readByte(offset+0x22));
		setValue('skill-10', tempFile.readByte(offset+0x23));
		setValue('skill-11', tempFile.readByte(offset+0x24));
		setValue('skill-12', tempFile.readByte(offset+0x25));
		setValue('skill-13', tempFile.readByte(offset+0x26));
		setValue('skill-14', tempFile.readByte(offset+0x27));
		setValue('skill-15', tempFile.readByte(offset+0x28));
		setValue('skill-16', tempFile.readByte(offset+0x29));
		setValue('skill-17', tempFile.readByte(offset+0x2a));
		setValue('skill-18', tempFile.readByte(offset+0x2b));
		setValue('skill-19', tempFile.readByte(offset+0x2c));
		setValue('skill-20', tempFile.readByte(offset+0x2d));
		setValue('skill-21', tempFile.readByte(offset+0x2e));
		setValue('skill-22', tempFile.readByte(offset+0x2f));
		setValue('skill-23', tempFile.readByte(offset+0x30));
		setValue('skill-24', tempFile.readByte(offset+0x31));
		setValue('skill-25', tempFile.readByte(offset+0x32));
		setValue('skill-26', tempFile.readByte(offset+0x33));
		setValue('skill-27', tempFile.readByte(offset+0x34));
		setValue('skill-28', tempFile.readByte(offset+0x35));
		setValue('skill-29', tempFile.readByte(offset+0x36));
		setValue('skill-30', tempFile.readByte(offset+0x37));
		setValue('skill-31', tempFile.readByte(offset+0x38));
		setValue('skill-32', tempFile.readByte(offset+0x39));
		setValue('skill-33', tempFile.readByte(offset+0x3a));
		setValue('skill-34', tempFile.readByte(offset+0x3b));
		setValue('skill-35', tempFile.readByte(offset+0x3c));
		setValue('skill-36', tempFile.readByte(offset+0x3d));
		setValue('skill-37', tempFile.readByte(offset+0x3e));
		setValue('skill-38', tempFile.readByte(offset+0x3f));
		setValue('skill-39', tempFile.readByte(offset+0x40));
		setValue('skill-40', tempFile.readByte(offset+0x41));
		setValue('skill-41', tempFile.readByte(offset+0x42));
		setValue('skill-42', tempFile.readByte(offset+0x43));
		setValue('skill-43', tempFile.readByte(offset+0x44));
		setValue('skill-44', tempFile.readByte(offset+0x45));
		setValue('skill-45', tempFile.readByte(offset+0x46));
		setValue('skill-46', tempFile.readByte(offset+0x47));
		setValue('skill-47', tempFile.readByte(offset+0x48));
		setValue('skill-48', tempFile.readByte(offset+0x49));

	SavegameEditor._calculateWeaponPower();
	},
	
	_writeWeapon:function(){
		var offset=SavegameEditor._getWeaponOffset();
		tempFile.writeShort(offset+0x00, getValue('weapon-type'));
		tempFile.writeByte(offset+0x02, getValue('weapon-combo'));
		tempFile.writeByte(offset+0x03, getValue('weapon-level'));
		tempFile.writeShort(offset+0x04, getValue('weapon-base-power'));
		tempFile.writeShort(offset+0x06, getValue('weapon-id'));
		tempFile.writeShort(offset+0x08, getValue('weapon-cid'));
		/*tempFile.writeShort(offset+0x0a, getValue('weapon-element'));*/
		tempFile.writeByte(offset+0x1a, getValue('skill-1'));
		tempFile.writeByte(offset+0x1b, getValue('skill-2')); 
		tempFile.writeByte(offset+0x1c, getValue('skill-3')); 
		tempFile.writeByte(offset+0x1d, getValue('skill-4')); 
		tempFile.writeByte(offset+0x1e, getValue('skill-5')); 
		tempFile.writeByte(offset+0x1f, getValue('skill-6')); 
		tempFile.writeByte(offset+0x20, getValue('skill-7')); 
		tempFile.writeByte(offset+0x21, getValue('skill-8')); 
		tempFile.writeByte(offset+0x22, getValue('skill-9')); 
		tempFile.writeByte(offset+0x23, getValue('skill-10'));
		tempFile.writeByte(offset+0x24, getValue('skill-11'));
		tempFile.writeByte(offset+0x25, getValue('skill-12'));
		tempFile.writeByte(offset+0x26, getValue('skill-13'));
		tempFile.writeByte(offset+0x27, getValue('skill-14'));
		tempFile.writeByte(offset+0x28, getValue('skill-15'));
		tempFile.writeByte(offset+0x29, getValue('skill-16'));
		tempFile.writeByte(offset+0x2a, getValue('skill-17'));
		tempFile.writeByte(offset+0x2b, getValue('skill-18'));
		tempFile.writeByte(offset+0x2c, getValue('skill-19'));
		tempFile.writeByte(offset+0x2d, getValue('skill-20'));
		tempFile.writeByte(offset+0x2e, getValue('skill-21'));
		tempFile.writeByte(offset+0x2f, getValue('skill-22'));
		tempFile.writeByte(offset+0x30, getValue('skill-23'));
		tempFile.writeByte(offset+0x31, getValue('skill-24'));
		tempFile.writeByte(offset+0x32, getValue('skill-25'));
		tempFile.writeByte(offset+0x33, getValue('skill-26'));
		tempFile.writeByte(offset+0x34, getValue('skill-27'));
		tempFile.writeByte(offset+0x35, getValue('skill-28'));
		tempFile.writeByte(offset+0x36, getValue('skill-29'));
		tempFile.writeByte(offset+0x37, getValue('skill-30'));
		tempFile.writeByte(offset+0x38, getValue('skill-31'));
		tempFile.writeByte(offset+0x39, getValue('skill-32'));
		tempFile.writeByte(offset+0x3a, getValue('skill-33'));
		tempFile.writeByte(offset+0x3b, getValue('skill-34'));
		tempFile.writeByte(offset+0x3c, getValue('skill-35'));
		tempFile.writeByte(offset+0x3d, getValue('skill-36'));
		tempFile.writeByte(offset+0x3e, getValue('skill-37'));
		tempFile.writeByte(offset+0x3f, getValue('skill-38'));
		tempFile.writeByte(offset+0x40, getValue('skill-39'));
		tempFile.writeByte(offset+0x41, getValue('skill-40'));
		tempFile.writeByte(offset+0x42, getValue('skill-41'));
		tempFile.writeByte(offset+0x43, getValue('skill-42'));
		tempFile.writeByte(offset+0x44, getValue('skill-43'));
		tempFile.writeByte(offset+0x45, getValue('skill-44'));
		tempFile.writeByte(offset+0x46, getValue('skill-45'));
		tempFile.writeByte(offset+0x47, getValue('skill-46'));
		tempFile.writeByte(offset+0x48, getValue('skill-47'));
		tempFile.writeByte(offset+0x49, getValue('skill-48'));
		
		
	/*too lazy to figure out how to remove this*/
	SavegameEditor._calculateWeaponPower();
	},
	_calculateWeaponPower:function(){
	},

	/* check if savegame is valid */
	checkValidSavegame:function(){
		return (tempFile.fileSize==114712)
	},

	/* load function */
	load:function(){
		tempFile.littleEndian=false;
		tempFile.fileName='initdata.bin';
		

		/* WEAPONS */
		get('container-select-weapon').appendChild(select('weapon', genRange(0,this.Constants.MAX_WEAPONS-1), function(){SavegameEditor._selectWeapon(this.value)}));
		get('container-weapon-type').appendChild(select('weapon-type', this.Constants.WEAPON_TYPES, this._writeWeapon));
		get('container-weapon-id').appendChild(select('weapon-id', this.Constants.WEAPON_IDS, this._writeWeapon));
		get('container-weapon-base-power').appendChild(select('weapon-base-power', this.Constants.WEAPON_POWER, this._writeWeapon));
		get('container-weapon-cid').appendChild(select('weapon-cid', this.Constants.WEAPON_CIDS, this._writeWeapon));
		get('container-weapon-level').appendChild(select('weapon-level', this.Constants.WEAPON_LEVELS, this._writeWeapon));
		get('container-weapon-combo').appendChild(select('weapon-combo', this.Constants.WEAPON_COMBOS, this._writeWeapon));
		/*get('container-weapon-element').appendChild(select('weapon-element', this.Constants.WEAPON_ELEMENTS, this._writeWeapon));*/
		get('container-skill-1').appendChild(select('skill-1', this.Constants.SKILL_TYPES, this._writeWeapon));
		get('container-skill-2').appendChild(select('skill-2', this.Constants.SKILL_TYPES, this._writeWeapon));
		get('container-skill-3').appendChild(select('skill-3', this.Constants.SKILL_TYPES, this._writeWeapon));
		get('container-skill-4').appendChild(select('skill-4', this.Constants.SKILL_TYPES, this._writeWeapon));
		get('container-skill-5').appendChild(select('skill-5', this.Constants.SKILL_TYPES, this._writeWeapon));
		get('container-skill-6').appendChild(select('skill-6', this.Constants.SKILL_TYPES, this._writeWeapon));
		get('container-skill-7').appendChild(select('skill-7', this.Constants.SKILL_TYPES, this._writeWeapon));
		get('container-skill-8').appendChild(select('skill-8', this.Constants.SKILL_TYPES, this._writeWeapon));
		get('container-skill-9').appendChild(select('skill-9', this.Constants.SKILL_TYPES, this._writeWeapon));
		get('container-skill-10').appendChild(select('skill-10', this.Constants.SKILL_TYPES, this._writeWeapon));
		get('container-skill-11').appendChild(select('skill-11', this.Constants.SKILL_TYPES, this._writeWeapon));
		get('container-skill-12').appendChild(select('skill-12', this.Constants.SKILL_TYPES, this._writeWeapon));
		get('container-skill-13').appendChild(select('skill-13', this.Constants.SKILL_TYPES, this._writeWeapon));
		get('container-skill-14').appendChild(select('skill-14', this.Constants.SKILL_TYPES, this._writeWeapon));
		get('container-skill-15').appendChild(select('skill-15', this.Constants.SKILL_TYPES, this._writeWeapon));
		get('container-skill-16').appendChild(select('skill-16', this.Constants.SKILL_TYPES, this._writeWeapon));
		get('container-skill-17').appendChild(select('skill-17', this.Constants.SKILL_TYPES, this._writeWeapon));
		get('container-skill-18').appendChild(select('skill-18', this.Constants.SKILL_TYPES, this._writeWeapon));
		get('container-skill-19').appendChild(select('skill-19', this.Constants.SKILL_TYPES, this._writeWeapon));
		get('container-skill-20').appendChild(select('skill-20', this.Constants.SKILL_TYPES, this._writeWeapon));
		get('container-skill-21').appendChild(select('skill-21', this.Constants.SKILL_TYPES, this._writeWeapon));
		get('container-skill-22').appendChild(select('skill-22', this.Constants.SKILL_TYPES, this._writeWeapon));
		get('container-skill-23').appendChild(select('skill-23', this.Constants.SKILL_TYPES, this._writeWeapon));
		get('container-skill-24').appendChild(select('skill-24', this.Constants.SKILL_TYPES, this._writeWeapon));
		get('container-skill-25').appendChild(select('skill-25', this.Constants.SKILL_TYPES, this._writeWeapon));
		get('container-skill-26').appendChild(select('skill-26', this.Constants.SKILL_TYPES, this._writeWeapon));
		get('container-skill-27').appendChild(select('skill-27', this.Constants.SKILL_TYPES, this._writeWeapon));
		get('container-skill-28').appendChild(select('skill-28', this.Constants.SKILL_TYPES, this._writeWeapon));
		get('container-skill-29').appendChild(select('skill-29', this.Constants.SKILL_TYPES, this._writeWeapon));
		get('container-skill-30').appendChild(select('skill-30', this.Constants.SKILL_TYPES, this._writeWeapon));
		get('container-skill-31').appendChild(select('skill-31', this.Constants.SKILL_TYPES, this._writeWeapon));
		get('container-skill-32').appendChild(select('skill-32', this.Constants.SKILL_TYPES, this._writeWeapon));
		get('container-skill-33').appendChild(select('skill-33', this.Constants.SKILL_TYPES, this._writeWeapon));
		get('container-skill-34').appendChild(select('skill-34', this.Constants.SKILL_TYPES, this._writeWeapon));
		get('container-skill-35').appendChild(select('skill-35', this.Constants.SKILL_TYPES, this._writeWeapon));
		get('container-skill-36').appendChild(select('skill-36', this.Constants.SKILL_TYPES, this._writeWeapon));
		get('container-skill-37').appendChild(select('skill-37', this.Constants.SKILL_TYPES, this._writeWeapon));
		get('container-skill-38').appendChild(select('skill-38', this.Constants.SKILL_TYPES, this._writeWeapon));
		get('container-skill-39').appendChild(select('skill-39', this.Constants.SKILL_TYPES, this._writeWeapon));
		get('container-skill-40').appendChild(select('skill-40', this.Constants.SKILL_TYPES, this._writeWeapon));
		get('container-skill-41').appendChild(select('skill-41', this.Constants.SKILL_TYPES, this._writeWeapon));
		get('container-skill-42').appendChild(select('skill-42', this.Constants.SKILL_TYPES, this._writeWeapon));
		get('container-skill-43').appendChild(select('skill-43', this.Constants.SKILL_TYPES, this._writeWeapon));
		get('container-skill-44').appendChild(select('skill-44', this.Constants.SKILL_TYPES, this._writeWeapon));
		get('container-skill-45').appendChild(select('skill-45', this.Constants.SKILL_TYPES, this._writeWeapon));
		get('container-skill-46').appendChild(select('skill-46', this.Constants.SKILL_TYPES, this._writeWeapon));
		get('container-skill-47').appendChild(select('skill-47', this.Constants.SKILL_TYPES, this._writeWeapon));
		get('container-skill-48').appendChild(select('skill-48', this.Constants.SKILL_TYPES, this._writeWeapon));
		
		
		this._selectWeapon(0);
	},

	
	/* save function */
	save:function(){}
}